Bug 167544 - Review Request: netgo : Networking profile manager
Review Request: netgo : Networking profile manager
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christian Iseli
David Lawrence
http://netgo.hjolug.org/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-09-04 20:24 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-16 19:30:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2005-09-04 20:24:24 EDT
Spec Name or Url: http://www.auroralinux.org/people/spot/review/netgo.spec
SRPM Name or Url: http://www.auroralinux.org/people/spot/review/netgo-0.5-1.src.rpm
Description: 
netGo is a distribution-independent networking tool (written in Qt) for
changing network settings quickly and easily. It is intended for laptop
owners, who often need to change network settings when relocating.
It allows you to create profiles that contain the network settings such as the
IP, netmask, gateway, name servers and wireless options. After creating a
profile it can be executed with a single click.
Comment 1 Christian Iseli 2005-09-16 12:39:41 EDT
I started to review netgo, and I think there is a problem... but I'm not too
sure how to handle this.

The upstream netgo package puts its real binary as /usr/share/netgo/netgo-bin and
puts a wrapper in /usr/bin to gain root access.

The proposed package uses consolehelper to replace the wrapper.

However, the real bin is still in /usr/share, which leads to rpmlint
complaining:
E: netgo arch-dependent-file-in-usr-share /usr/share/netgo/netgo-bin
W: netgo no-dependency-on usermode-consoleonly

I think the real bin should be named: /usr/sbin/netgo

But I'm not too familiar with consolehelper...

Please propose a fix, and I'll complete the review.
Comment 2 Tom "spot" Callaway 2005-09-16 13:30:34 EDT
Fixed in -2 (you're right, it should be in %{_sbindir}):

SRPM: http://www.auroralinux.org/people/spot/review/netgo-0.5-2.src.rpm
SPEC: http://www.auroralinux.org/people/spot/review/netgo.spec
Comment 3 Christian Iseli 2005-09-16 18:56:20 EDT
Good:
- rpmlint is pretty happy:
W: netgo no-dependency-on usermode-consoleonly
- name ok
- spec name ok
- packaging guidelines met
- license ok
- license matches actual license in package
- license file in %doc
- spec file in American English and legible
- source matches upstream
- builds, installs, runs, and uninstalls cleanly
- BuildRequires ok
- no locale to worry about
- no shared libs to worry about
- no relocation to worry about
- no duplicated files
- files perms ok
- clean section ok
- macro useage ok
- package contains code
- no large doc
- %doc is only doc
- desktop file present
- builds in mock

Bad:
- owns all dirs
Patch below.

Minor nit:
I'd add the README file to %doc...

Approved.

Cheers,
                                        Christian


--- netgo.spec.orig     2005-09-17 00:51:00.000000000 +0200
+++ netgo.spec  2005-09-17 00:52:57.000000000 +0200
@@ -1,6 +1,6 @@
 Name:          netgo
 Version:       0.5
-Release:       2%{?dist}
+Release:       3%{?dist}
 License:       GPL
 Group:         Applications/System
 Summary:       Networking profile manager
@@ -73,10 +73,13 @@ rm -rf $RPM_BUILD_ROOT
 %config(noreplace) %{_sysconfdir}/security/console.apps/netgo
 %{_datadir}/applications/fedora-netgo.desktop
 %{_datadir}/pixmaps/netgo.png
-%{_datadir}/netgo/icons/globe_32x32.png
+%{_datadir}/netgo
 %{_sbindir}/netgo

 %changelog
+* Sat Sep 17 2005 Christian Iseli <Christian.Iseli@licr.org> 0.5-3
+- fix unowned dir
+
 * Fri Sep 16 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.5-2
 - move netgo-bin to %%{_sbindir}/netgo


Note You need to log in before you can comment on or make changes to this bug.